#!/usr/bin/python3
import urllib.request
import json
from datetime import datetime

stockList = ["^GDAXI", "^IXIC", "^DJI"]
url = 'https://query1.finance.yahoo.com/v7/finance/quote?symbols='

response = urllib.request.urlopen(url + ','.join(stockList))
data = response.read().decode('utf-8')
jsonData = json.loads(data)

for rec in jsonData['quoteResponse']['result']:
	print(rec['shortName'])
	print(rec['regularMarketPrice'])
	print(rec['quoteType']) 
	print(rec['currency'])
	print(rec['fullExchangeName'])
	print(datetime.fromtimestamp(int(rec['regularMarketTime'])).strftime('%Y-%m-%d %H:%M:%S'))
	print('',sep="")